> ## Documentation Index
> Fetch the complete documentation index at: https://docs.edges.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Download a LinkedIn Attachment

> Download a file attachment from a LinkedIn message conversation.

<Tip>
  To run LinkedIn actions, you must first create an identity and connect a LinkedIn
  account, either using our [Chrome
  Extension](https://chromewebstore.google.com/detail/edges-labs/bippgnolleoecnhaninlfmdapbakklpf),
  [username/password login](/v1/api/linkedin/authentication), or [Managed
  Accounts](/v1/identities/sync-vs-managed) for a hassle-free setup.
</Tip>

<Note>
  To download attachments, first use the [Extract LinkedIn Messages](/v1/api/actions/linkedin-extract-messages) action to get the attachment URLs.
  Make sure to use the same `identity_id` for both actions.
</Note>


## OpenAPI

````yaml v1/api/actions.json get /actions/linkedin-download-attachment
openapi: 3.1.0
info:
  title: ED Automation External API
  description: This is the External API documentation for ED Automation
  version: dev
servers:
  - url: https://api.edges.run/v1
security:
  - XApiKeyAuth: []
paths:
  /actions/linkedin-download-attachment:
    get:
      tags:
        - actions / linkedin
      summary: Download LinkedIn attachment
      operationId: getLinkedIndAttachment
      parameters:
        - schema:
            type: string
            format: uuid
            nullable: true
          in: query
          name: identity_id
          required: false
          description: Identity ID
        - schema:
            type: string
            format: uri
            pattern: ^https://www.linkedin.com/dms/
          in: query
          name: url
          required: true
          description: URL to download
      responses:
        '200':
          description: Returns a file
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
components:
  securitySchemes:
    XApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````